Fetch cashflow statement
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/cashflow-statement \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/cashflow-statement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/cashflow-statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"reporting_basis": "ACCRUAL",
"operating_activities": [
{
"description": "<string>",
"amount": 123
}
],
"investing_activities": [
{
"description": "<string>",
"amount": 123
}
],
"financing_activities": [
{
"description": "<string>",
"amount": 123
}
],
"net_cash_flow": 123
}""""Cash Flow Statement
Fetch cashflow statement
Returns a cashflow statement showing cash inflows and outflows over a specified time period.
GET
/
v1
/
businesses
/
{businessId}
/
reports
/
cashflow-statement
Fetch cashflow statement
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Path Parameters
The UUID of the business to fetch the cashflow statement for
Query Parameters
Start date for the cashflow statement (ISO 8601 format)
End date for the cashflow statement (ISO 8601 format)
Accounting basis for the report
Available options:
ACCRUAL, CASH P&L structure template to use
Response
Cashflow statement report data
Start date of the cashflow period
End date of the cashflow period
Accounting basis used for the report
Available options:
ACCRUAL, CASH Operating activities
Show child attributes
Show child attributes
Investing activities
Show child attributes
Show child attributes
Financing activities
Show child attributes
Show child attributes
Net cash flow in cents